site_name: instagrapi Documentation
repo_url: https://github.com/subzeroid/instagrapi/
site_url: https://subzeroid.github.io/instagrapi/
repo_name: subzeroid/instagrapi
edit_uri: edit/main/docs/
docs_dir: docs
nav:
  - Overview: index.md
  - Getting Started: getting-started.md
  - Usage Guide:
    - Fundamentals: usage-guide/fundamentals.md
    - Interactions: usage-guide/interactions.md
    - Handle Exceptions: usage-guide/handle_exception.md
    - Collection: usage-guide/collection.md
    - Comment: usage-guide/comment.md
    - Direct: usage-guide/direct.md
    - Hashtag: usage-guide/hashtag.md
    - Insight: usage-guide/insight.md
    - Location: usage-guide/location.md
    - Media: usage-guide/media.md
    - Story: usage-guide/story.md
    - Track: usage-guide/track.md
    - User: usage-guide/user.md
    - Account: usage-guide/account.md
  - Best Practices: best-practices.md
  - Development Guide: development-guide.md
  - Exceptions: exceptions.md
theme: material
markdown_extensions:
  - markdown_include.include:
      base_path: docs
  - admonition
  - codehilite
  - footnotes
  - pymdownx.highlight
  - pymdownx.keys
  - pymdownx.superfences
plugins:
  - mkdocstrings:
      handlers:
        python:
          selection:
            docstring_style: "restructured-text"
          rendering:
            heading_level: 3
            show_root_heading: True
            show_source: False
            show_root_full_path: False
  - mkdocstrings_patch_type_aliases

extra:
  version:
    provider: mike
extra_css:
  - css/mkdocstrings.css
